<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.campaign-workspace.dialog.title.execution-comparison'"
  [attr.data-test-dialog-id]="'automated-suite-exec-comparator'"
>
  <sqtm-core-dialog-body>
    @if (isInit$ | async) {
      <div class="full-width full-height overflow-hidden flex-column">
        <sqtm-core-grid class="full-width full-height"></sqtm-core-grid>
      </div>
    } @else {
      <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
    }
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'close'"
      style="margin-top: 5px"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.close' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
